org.bdgenomics.cannoli.cli

# SnpEffArgs

###
Related Doc: package cli

#### class SnpEffArgs extends SnpEffFnArgs with ADAMSaveAnyArgs with ParquetArgs

SnpEff command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, SnpEffFnArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SnpEffArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. SnpEffFnArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SnpEffArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var asSingleFile: Boolean

   Definition Classes
     SnpEffArgs → ADAMSaveAnyArgs

6. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### var database: String

   Definition Classes
     SnpEffFnArgs

10. #### var deferMerging: Boolean

    Definition Classes
      SnpEffArgs → ADAMSaveAnyArgs

11. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var disableFastConcat: Boolean

    Definition Classes
      SnpEffArgs → ADAMSaveAnyArgs

13. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### var executable: String

    Definition Classes
      SnpEffFnArgs

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### var image: String

    Definition Classes
      SnpEffFnArgs

21. #### var inputPath: String

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### var logLevel: String

    Definition Classes
      ParquetArgs

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### var outputPath: String

    Definition Classes
      SnpEffArgs → SaveArgs

28. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

29. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

30. #### var sortFastqOutput: Boolean

    Definition Classes
      SnpEffArgs → ADAMSaveAnyArgs

31. #### var stringency: String

32. #### var sudo: Boolean

    Definition Classes
      SnpEffFnArgs

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### var useDocker: Boolean

    Definition Classes
      SnpEffFnArgs

36. #### var useSingularity: Boolean

    Definition Classes
      SnpEffFnArgs

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from SnpEffFnArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped